Package org.eclipse.mat.inspections.osgi.model

# Class Service

java.lang.Object
org.eclipse.mat.inspections.osgi.model.Service

public class Service extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Service.ServiceProperty`

## Constructor Summary

Constructors
Constructor
Description
`Service(String name, int objectId, BundleDescriptor bundleDescriptor, List<BundleDescriptor> bundlesUsing, String[] keys, String[] values)`

## Method Summary

Modifier and Type
Method
Description
`BundleDescriptor`
`getBundleDescriptor()`
Get bundle descriptor of a bundle, that registers this service
`List<BundleDescriptor>`
`getBundlesUsing()`
Get bundle descriptors for all the bundles, using this service
`String`
`getName()`
Get service's symbolic name
`int`
`getObjectId()`
Get objectId of this service
`List<Service.ServiceProperty>`
`getProperties()`
Get service's properties

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service

public Service(String name, int objectId, BundleDescriptor bundleDescriptor, List<BundleDescriptor> bundlesUsing, String[] keys, String[] values)

## Method Details

### getBundleDescriptor

public BundleDescriptor getBundleDescriptor()
Get bundle descriptor of a bundle, that registers this service

Returns:
  BundleDescriptor

### getBundlesUsing

public List<BundleDescriptor> getBundlesUsing()
Get bundle descriptors for all the bundles, using this service

Returns:
  List<BundleDescriptor> list of descriptors of the bundles, using this service

### getObjectId

public int getObjectId()
Get objectId of this service

Returns:
  int objectId

### getName

public String getName()
Get service's symbolic name

Returns:
  String name

### getProperties

public List<Service.ServiceProperty> getProperties()
Get service's properties

Returns:
  List<ServiceProperty> properties, key-value pairs